Index: c/build-tools/Makefile.in
===================================================================
--- c/build-tools/Makefile.in	(revision 04c308c022e5f5c839495110c667718dec84a020)
+++ c/build-tools/Makefile.in	(revision 9b8baa128b4e7d0696f9ad995927cf2e5162649f)
@@ -14,4 +14,23 @@
 # $Id$
 #
+
+
+# $Id$
+
+# Borrowed from automake-1.4, adapted to support RTEMS's 
+# "make debug", "make debug_install", "make profile", "make profile_install"
+
+# NOTE: This is a temporary work-around to keep 
+# "make debug" and "make debug_install" working.
+# Once automake is fully integrated these make targets 
+# and this file will probably be removed
+
+
+# $Id$
+
+# NOTE: This is a temporary work-around to keep 
+# "make debug" and "make debug_install" working.
+# Once automake is fully integrated these make targets 
+# and this file will probably be removed
 
 
@@ -68,5 +87,4 @@
 PACKAGE = @PACKAGE@
 PROJECT_ROOT = @PROJECT_ROOT@
-RTEMS_ROOT = @RTEMS_ROOT@
 RTEMS_TOPdir = @RTEMS_TOPdir@
 VERSION = @VERSION@
@@ -80,5 +98,6 @@
 CONFIG_HEADER = ./src/config.h
 CONFIG_CLEAN_FILES = 
-DIST_COMMON =  Makefile.am Makefile.in aclocal.m4 configure configure.in
+DIST_COMMON =  Makefile.am Makefile.in aclocal.m4 configure configure.in \
+src/config.h.in src/stamp-h.in
 
 
@@ -89,5 +108,5 @@
 all: all-redirect
 .SUFFIXES:
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/../../automake/subdirs.am $(top_srcdir)/../../automake/local.am
 	cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile
 
@@ -103,4 +122,32 @@
 $(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
 	cd $(srcdir) && $(AUTOCONF)
+
+src/config.h: src/stamp-h
+	@if test ! -f $@; then \
+		rm -f src/stamp-h; \
+		$(MAKE) src/stamp-h; \
+	else :; fi
+src/stamp-h: $(srcdir)/src/config.h.in $(top_builddir)/config.status
+	cd $(top_builddir) \
+	  && CONFIG_FILES= CONFIG_HEADERS=src/config.h \
+	     $(SHELL) ./config.status
+	@echo timestamp > src/stamp-h 2> /dev/null
+$(srcdir)/src/config.h.in: $(srcdir)/src/stamp-h.in
+	@if test ! -f $@; then \
+		rm -f $(srcdir)/src/stamp-h.in; \
+		$(MAKE) $(srcdir)/src/stamp-h.in; \
+	else :; fi
+$(srcdir)/src/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) 
+	cd $(top_srcdir) && $(AUTOHEADER)
+	@echo timestamp > $(srcdir)/src/stamp-h.in 2> /dev/null
+
+mostlyclean-hdr:
+
+clean-hdr:
+
+distclean-hdr:
+	-rm -f src/config.h
+
+maintainer-clean-hdr:
 
 # This directory's subdirectories are mostly independent; you can cd
@@ -292,19 +339,19 @@
 
 maintainer-clean-generic:
-mostlyclean-am:  mostlyclean-tags mostlyclean-generic
+mostlyclean-am:  mostlyclean-hdr mostlyclean-tags mostlyclean-generic
 
 mostlyclean: mostlyclean-recursive
 
-clean-am:  clean-tags clean-generic mostlyclean-am
+clean-am:  clean-hdr clean-tags clean-generic mostlyclean-am
 
 clean: clean-recursive
 
-distclean-am:  distclean-tags distclean-generic clean-am
+distclean-am:  distclean-hdr distclean-tags distclean-generic clean-am
 
 distclean: distclean-recursive
 	-rm -f config.status
 
-maintainer-clean-am:  maintainer-clean-tags maintainer-clean-generic \
-		distclean-am
+maintainer-clean-am:  maintainer-clean-hdr maintainer-clean-tags \
+		maintainer-clean-generic distclean-am
 	@echo "This command is intended for maintainers to use;"
 	@echo "it deletes files that may require special tools to rebuild."
@@ -313,9 +360,9 @@
 	-rm -f config.status
 
-.PHONY: install-data-recursive uninstall-data-recursive \
-install-exec-recursive uninstall-exec-recursive installdirs-recursive \
-uninstalldirs-recursive all-recursive check-recursive \
-installcheck-recursive info-recursive dvi-recursive \
-mostlyclean-recursive distclean-recursive clean-recursive \
+.PHONY: mostlyclean-hdr distclean-hdr clean-hdr maintainer-clean-hdr \
+install-data-recursive uninstall-data-recursive install-exec-recursive \
+uninstall-exec-recursive installdirs-recursive uninstalldirs-recursive \
+all-recursive check-recursive installcheck-recursive info-recursive \
+dvi-recursive mostlyclean-recursive distclean-recursive clean-recursive \
 maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
 distclean-tags clean-tags maintainer-clean-tags distdir info-am info \
@@ -327,4 +374,54 @@
 
 
+debug-recursive debug_install-recursive \
+profile-recursive profile_install-recursive:
+	@set fnord $(MAKEFLAGS); amf=$$2; \
+	dot_seen=no; \
+	target=`echo $@ | sed s/-recursive//`; \
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  echo "Making $$target in $$subdir"; \
+	  if test "$$subdir" = "."; then \
+	    dot_seen=yes; \
+	    local_target="$$target-am"; \
+	  else \
+	    local_target="$$target"; \
+	  fi; \
+	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
+	done; \
+	if test "$$dot_seen" = "no"; then \
+	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
+	fi; test -z "$$fail"
+
+debug: debug-recursive
+
+debug_install: debug_install-recursive
+
+profile: profile-recursive
+
+profile_install: profile_install-recursive
+
+.PHONY: \
+debug debug-recursive debug_install \
+profile profile-recursive profile_install
+
+debug-am:
+
+debug: debug-am
+
+debug_install-am:
+
+debug_install: debug_install-am
+
+profile-am:
+
+profile: profile-am
+
+profile_install-am:
+
+profile_install: profile_install-am
+
+.PHONY: debug debug_install profile profile_install
+
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
